Depois de mais de um ano recebendo avisos de que o PHP7.4 do Debian stable estava desatualizado e seu suporte iria terminar, eu finalmente segui uma receita de bolo pra atualizar pro PHP8.1.

https://computingforgeeks.com/how-to-install-php-on-debian-linux-2/

Eu achei que seria bem mais complicado.

Ele recomenda um repositório aleatório de um site https://packages.sury.org que achei um tanto... suspeito. 

Mas dando uma olhada no site, é do próprio mantenedor dos pacotes PHP no Debian.  E foi realmente um mamão com açúcar.  Depois do apt update ele já reconheceu que haviam pacotes para atualizar e um apt dist-upgrade -y -m fez o resto.  E saiu funcionando.

O restante foi selecionar o módulo no apache com a2enmod php8.1 e desabilitar o antigo com a2dismod php7.4 e finalmente reiniciar o próprio apache com systemctl restart apache2 e pronto.

Update 2022-12-09 (alguns minutos após postar esse artigo): cantei vitória cedo demais.   O PHP8.1 derrubour primeiro o encurtador hl.eng.br.  Tive de atualizar o yourls.org pra botar no ar novamente.

Em seguida...

Sim, o site inteiro caiu.   Como o linux-br ficou em pé eu desconfiei que era algum plugin.  Fui desabilitando um por um e nada.  Até que troquei o tema.  E era isso.  Por isso a página está com essa cara pálida.  Estou mexendo pra tentar colocar um tema mais escuro.

(e sim, sou daqueles que faz troubleshooting em produção)

Mastodon Mastodon
We use cookies

We use cookies on our website. Some of them are essential for the operation of the site, while others help us to improve this site and the user experience (tracking cookies). You can decide for yourself whether you want to allow cookies or not. Please note that if you reject them, you may not be able to use all the functionalities of the site.